
Redmine - Defect #28456

Error 500 on project setting page

2018-03-28 10:54 - David BOUCHE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.4

Description

Hello,

I'm having an issue since the update to Redmine 3.4.4.

Here's the error :

2018-03-28T08:39:18.131Z: Started GET "/projects/********/settings" for 163.172.235.152 at 2018-03

-28 08:39:17 +0000

2018-03-28T08:39:18.131Z: Processing by ProjectsController#settings as HTML

2018-03-28T08:39:18.132Z:  Parameters: {"id"=>"*********"}

2018-03-28T08:39:18.132Z:  Current user: dbouche (id=177)

2018-03-28T08:39:18.133Z:  Rendered projects/_form.html.erb (95.4ms)

2018-03-28T08:39:18.133Z:  Rendered projects/_edit.html.erb (96.0ms)

2018-03-28T08:39:18.133Z:  Rendered common/_tabs.html.erb (97.7ms)

2018-03-28T08:39:18.134Z:  Rendered projects/settings.html.erb within layouts/base (98.2ms)

2018-03-28T08:39:18.134Z: Completed 500 Internal Server Error in 124ms (ActiveRecord: 21.2ms)

2018-03-28T08:39:18.134Z: ActionView::Template::Error (undefined method `default_assigned_to_id' f

or #<Project:0x00000004e995e0>

2018-03-28T08:39:18.135Z: Did you mean?  default_assigned_to

2018-03-28T08:39:18.135Z:               default_assigned_to=):

2018-03-28T08:39:18.135Z:    25: <% end %>

2018-03-28T08:39:18.136Z:    26: 

2018-03-28T08:39:18.136Z:    27: <% if @project.safe_attribute?('default_assigned_to_id') && (defa

ult_assigned_to_options = project_default_assigned_to_options(@project)).present? %>

2018-03-28T08:39:18.137Z:    28:   <p><%= f.select :default_assigned_to_id, default_assigned_to_op

tions, include_blank: true %></p>

2018-03-28T08:39:18.137Z:    29: <% end %>

2018-03-28T08:39:18.137Z:    30: 

2018-03-28T08:39:18.138Z:    31: <%= wikitoolbar_for 'project_description' %>

2018-03-28T08:39:18.138Z:  lib/redmine/views/labelled_form_builder.rb:38:in `select'

2018-03-28T08:39:18.138Z:  app/views/projects/_form.html.erb:28:in `_app_views_projects__form_html

_erb___3429773259204725780_36217920'

2018-03-28T08:39:18.139Z:  app/views/projects/_edit.html.erb:2:in `block in _app_views_projects__e

dit_html_erb___1823953753553664077_36110120'

2018-03-28T08:39:18.139Z:  app/helpers/application_helper.rb:1190:in `labelled_form_for'

2018-03-28T08:39:18.139Z:  app/views/projects/_edit.html.erb:1:in `_app_views_projects__edit_html_

erb___1823953753553664077_36110120'

2018-03-28T08:39:18.140Z:  app/views/common/_tabs.html.erb:17:in `block in _app_views_common__tabs

_html_erb__1848136464132884495_48519660'

2018-03-28T08:39:18.140Z:  app/views/common/_tabs.html.erb:16:in `each'

2018-03-28T08:39:18.140Z:  app/views/common/_tabs.html.erb:16:in `_app_views_common__tabs_html_erb

__1848136464132884495_48519660'

2018-03-28T08:39:18.141Z:  app/helpers/application_helper.rb:345:in `render_tabs'

2018-03-28T08:39:18.142Z:  app/views/projects/settings.html.erb:3:in `_app_views_projects_settings

_html_erb___310978515768946799_35392640'

2018-03-28T08:39:18.143Z:  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

2018-03-28T08:39:18.209Z: {address space usage: 492253184 bytes/469MB} {rss usage: 207372288 bytes

/197MB} [pid: 13162|app: 0|req: 2399/2399] 92.154.72.118 () {54 vars in 1930 bytes} [Wed Mar 28 08

:39:17 2018] GET /projects/********/settings => generated 648 bytes in 272 msecs (HTTP/1.1 500) 4 

headers in 172 bytes (0 switches on core 0)
 The Redmine environment :

Environment:

  Redmine version                3.4.4.stable

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.9.7

  Git                            2.16.2

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.4.6

  redmine_contacts               4.1.2

  redmine_contacts_helpdesk      3.0.9

  redmine_wktime                 3.2.1

 I'm available to give ou more information if you need.

Thanks for support,

David

History

#1 - 2018-03-30 15:45 - David BOUCHE

- File Capture d_écran de 2018-03-30 15-43-54.png added

The field do not exist in database : see screenshot in attachment.

#2 - 2018-03-30 15:59 - David BOUCHE

- Status changed from New to Resolved

The db:migrate wasn't successful, I miss the error message during last deployment.

#3 - 2018-03-30 16:24 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for your feedback.

Files

Capture d_écran de 2018-03-30 15-43-54.png 141 KB 2018-03-30 David BOUCHE
